package GO1.DeNO.yorudakara.Onaka.role;

import GO1.DeNO.yorudakara.Onaka.talk.TalkCO;
import GO1.DeNO.yorudakara.Onaka.talk.TalkVote5VillDay1;
import GO1.DeNO.yorudakara.Onaka.talk.TalkVote5VillDay2;
import GO1.DeNO.yorudakara.Onaka.target.VoteForWolf5ver;
import GO1.DeNO.yorudakara.Onaka.target.VoteLast3PPTacticbyVil;
import GO1.DeNO.yorudakara.framework.Day;
import GO1.DeNO.yorudakara.framework.Game;
import org.aiwolf.common.data.Role;

public class VillagerRole5ver extends TFAFBaseRole {

    public VillagerRole5ver(Game game) {
        super(game);

        talkTactics.add(new TalkVote5VillDay1(), 10000, Day.on(1), Repeat.MULTI);
        talkTactics.add(new TalkVote5VillDay2(), 10000, Day.on(2), Repeat.MULTI);

        //残り人数が3人になったら 人狼CO
        if (game.getAlives().size() == 3 && game.getSelf().coRole == Role.SEER) {
            talkTactics.add(new TalkCO(Role.WEREWOLF), 10000, Day.on(2));
        }

            // 投票戦略
        voteTactics.add(new VoteForWolf5ver(), Day.on(1));
        revoteTactics.add(new VoteForWolf5ver(), Day.on(1));

        // 最終日裏切者COを避けて投票する。
        voteTactics.add(new VoteLast3PPTacticbyVil(), Day.on(2));
        revoteTactics.add(new VoteLast3PPTacticbyVil(), Day.on(2));
    }
}
