package GO1.DeNO.yorudakara.Onaka.role;

import GO1.DeNO.yorudakara.Onaka.talk.TalkCO;
import GO1.DeNO.yorudakara.Onaka.talk.TalkCO5WolfForPP;
import GO1.DeNO.yorudakara.Onaka.talk.TalkVote5WolfDay1;
import GO1.DeNO.yorudakara.Onaka.talk.TalkVote5WolfDay2;
import GO1.DeNO.yorudakara.Onaka.target.AttackWithoutCOSeer;
import GO1.DeNO.yorudakara.Onaka.target.AttackWithoutPOSSESSED;
import GO1.DeNO.yorudakara.Onaka.target.RevoteToLive5Wolf;
import GO1.DeNO.yorudakara.Onaka.target.VoteToLive5Wolf;
import GO1.DeNO.yorudakara.framework.Day;
import GO1.DeNO.yorudakara.framework.Game;
import org.aiwolf.common.data.Role;

import java.security.SecureRandom;

import static org.aiwolf.common.data.Role.SEER;

public class WerewolfRole5ver extends TFAFBaseRole {

    public WerewolfRole5ver(Game game) {
        super(game);

        int mood = new SecureRandom().nextInt(2);

        if (mood == 0) {
        //最終日に裏切者COがあったら狼CO
        talkTactics.add(new TalkCO5WolfForPP(), 10000, Day.on(2));

        talkTactics.add(new TalkVote5WolfDay1(), 9000, Day.on(1), Repeat.MULTI);
        talkTactics.add(new TalkVote5WolfDay2(), 9000, Day.on(2), Repeat.MULTI);

        //残り人数が3人になったら 狂人CO
        if (game.getAlives().size() == 3 && game.getSelf().coRole == null) {
            talkTactics.add(new TalkCO(Role.POSSESSED), 10000);
        }
        //残り人数が3人になったら 村人CO
        if (game.getAlives().size() == 3 && game.getSelf().coRole == SEER) {
            talkTactics.add(new TalkCO(Role.VILLAGER), 10000);
        }


        //最大得票数に乗っかる
        voteTactics.add(new VoteToLive5Wolf());
        //最大得票数に乗っかる
        revoteTactics.add(new RevoteToLive5Wolf());
        //占い師を避けて襲撃
        attackTactics.add(new AttackWithoutCOSeer());
    } else {
            //最終日に裏切者COがあったら狼CO
            talkTactics.add(new TalkCO5WolfForPP(), 10000, Day.on(2));
            //残り人数が3人になったら 村人CO
            if (game.getAlives().size() == 3 && game.getSelf().coRole == null) {
                talkTactics.add(new TalkCO(Role.POSSESSED), 10000);
            }

            talkTactics.add(new TalkVote5WolfDay1(), 9000, Day.on(1), Repeat.MULTI);
            talkTactics.add(new TalkVote5WolfDay2(), 9000, Day.on(2), Repeat.MULTI);

            //最大得票数に乗っかる
            voteTactics.add(new VoteToLive5Wolf());
            //最大得票数に乗っかる
            revoteTactics.add(new RevoteToLive5Wolf());
            //特定裏切者を避けて襲撃
            attackTactics.add(new AttackWithoutPOSSESSED());
        }
    }
}
