package GO1.DeNO.yorudakara.Onaka;

import GO1.DeNO.yorudakara.Onaka.metagame.TFAFMetagameModel;
import GO1.DeNO.yorudakara.Onaka.role.BodyguardRole;
import GO1.DeNO.yorudakara.Onaka.role.MediumRole;
import GO1.DeNO.yorudakara.Onaka.role.PossessedRole;
import GO1.DeNO.yorudakara.Onaka.role.PossessedRole5ver;
import GO1.DeNO.yorudakara.Onaka.role.SeerRoll;
import GO1.DeNO.yorudakara.Onaka.role.SeerRoll5ver;
import GO1.DeNO.yorudakara.Onaka.role.VillagerRole;
import GO1.DeNO.yorudakara.Onaka.role.VillagerRole5ver;
import GO1.DeNO.yorudakara.Onaka.role.WerewolfRole;
import GO1.DeNO.yorudakara.Onaka.role.WerewolfRole5ver;
import GO1.DeNO.yorudakara.framework.AbstractPlayer;
import GO1.DeNO.yorudakara.framework.AbstractRole;
import GO1.DeNO.yorudakara.framework.Game;
import GO1.DeNO.yorudakara.framework.MetagameModel;


/**
 * Player
 */
public class pekopekoPlayer extends AbstractPlayer {

    @Override
    public String getName() {
        return "GOLDEN_O";
    }

    @Override
    protected MetagameModel createMetagameModel() {
        return new TFAFMetagameModel();
    }

    @Override
    protected AbstractRole selectRole(Game game) {
        if (game.getVillageSize() == 5) {
            switch (game.getSelf().role) {
                case WEREWOLF:
                    return new WerewolfRole5ver(game);
                case POSSESSED:
                    return new PossessedRole5ver(game);
                case SEER:
                    return new SeerRoll5ver(game);
                case VILLAGER:
                    return new VillagerRole5ver(game);
            }
        } else {
            switch (game.getSelf().role) {
                case WEREWOLF:
                    return new WerewolfRole(game);
                case BODYGUARD:
                    return new BodyguardRole(game);
                case MEDIUM:
                    return new MediumRole(game);
                case POSSESSED:
                    return new PossessedRole(game);
                case SEER:
                    return new SeerRoll(game);
                case VILLAGER:
                    return new VillagerRole(game);
            }
        }
        return null;
    }
}
